/**
 * AddItemSoapBindingImpl.java
 *
 * This file was auto-generated from WSDL
 * by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.
 */

package org.dspace.app.services;

import org.dspace.app.itemimport.IndividualItemImport;
import org.dspace.content.Collection;
import org.dspace.content.Item;
import org.dspace.core.Context;
import org.apache.axis.AxisFault;
import org.apache.axis.MessageContext;
import org.apache.axis.Message;
import org.apache.axis.attachments.Attachments;
import org.apache.log4j.Logger;

import javax.xml.soap.AttachmentPart;
import javax.activation.DataHandler;
import java.util.Calendar;
import java.util.Arrays;
import java.util.GregorianCalendar;
import java.util.Iterator;
import java.io.*;
import java.sql.SQLException;

public class AddItemSoapBindingImpl implements org.dspace.app.services.WebServices
{
    private Logger logger = Logger.getLogger(AddItemSoapBindingImpl.class);

    public org.dspace.app.services.AddItemResponse addItem(String metadata, String[] filenames, String collection,
                                                           Calendar timestamp, String localId, String username) throws java.rmi.RemoteException
    {
        try
        {
            logger.info("AddItemSoapBindingImpl.addItem :");
            logger.info("\t" + metadata);
            logger.info("\t" + Arrays.asList(filenames));
            logger.info("\t" + collection);
            logger.info("\t" + timestamp);
            logger.info("\t" + localId);
            logger.info("\t" + username);

            AttachmentPart[] attachments = getMessageAttachments();
            InputStream is;
            FileOutputStream os;
            File file;
            int totalAttachments = attachments.length;
            logger.info("AddItemSoapBindingSkeleton.addItem totalAttachments " + totalAttachments);
            if (totalAttachments == 0)
            {
                throw new Exception("There must be at least one file attachment per item inserted into DSpace");
            }
            File[] files = new File[totalAttachments];

            for (int i = 0; i < attachments.length; i++)
            {
                DataHandler dh = attachments[i].getDataHandler();
                is = dh.getInputStream();
                file = new File(filenames[i]);
                os = new FileOutputStream(file);
                writeBuffersAndClose(is, os);
                files[i] = file;
                logger.info("AddItemSoapBindingSkeleton.addItem file " + file);
            }
            IndividualItemImport itemImport = new IndividualItemImport();
            Context c = new Context();
            Collection[] dspaceCollections = Collection.findCollections(new String[]{collection}, c);
            if (dspaceCollections != null && dspaceCollections.length > 0)
            {
                Item item = itemImport.add(metadata, dspaceCollections, username, files, localId, c);
                return new AddItemResponse(new Integer(item.getID()), localId, new GregorianCalendar(), "Successfully added to DSpace");
            }
            else
            {
                throw new Exception("There must be at least one collection per item inserted into DSpace");
            }

        }
        catch (Exception e)
        {
            logger.error("AddItemSoapBindingSkeleton.addItem ERROR Exception = " + e);
            System.out.println("AddItemSoapBindingSkeleton.addItem ERROR Exception = " + e);
            return new AddItemResponse(new Integer(-1), localId, new GregorianCalendar(), e.getMessage());
        }
    }

    public java.lang.String getHandles(String dspaceId, Calendar timestamp, String localId, String username)
            throws java.rmi.RemoteException
    {
        try
        {
            Item item = Item.find(new Context(), Integer.parseInt(dspaceId));
            if (item != null)
            {
                String handle = item.getHandle();
                System.out.println("AddItemSoapBindingImpl.getHandles HANDLE TO RETURN = " + handle);
                if (handle != null && handle.length() > 0)
                {
                    return handle;
                }
            }
        }
        catch (SQLException e)
        {
            System.out.println("AddItemSoapBindingImpl.getHandles Error " + e);
            logger.error("AddItemSoapBindingSkeleton.getHandles SQL Error " + e);
        }
        return "";
    }

    private AttachmentPart[] getMessageAttachments() throws AxisFault
    {
        /*
           * Reusing the method implementation for AttachmentPart[]
           * getMessageAttachments() as provided by Steve Loughran in his mail to
           * axis-user group
           * http://www.mail-archive.com/axis-user@xml.apache.org/msg08732.html
           */
        MessageContext msgContext = MessageContext.getCurrentContext();
        Message reqMsg = msgContext.getRequestMessage();
        Attachments messageAttachments = reqMsg.getAttachmentsImpl();
        if (null == messageAttachments)
        {
            System.out.println("no attachment support");
            return new AttachmentPart[0];
        }
        int attachmentCount = messageAttachments.getAttachmentCount();
        AttachmentPart attachments[] = new AttachmentPart[attachmentCount];
        Iterator it = messageAttachments.getAttachments().iterator();
        int count = 0;
        while (it.hasNext())
        {
            attachments[count++] = (AttachmentPart) it.next();
        }
        return attachments;
    }

    private void writeBuffersAndClose(InputStream is, OutputStream os) throws IOException
    {
        int i = 0;
        byte [] buffer = new byte[1024];
        while (i != -1)
        {
            i = is.read(buffer, 0, buffer.length);
            if (i > 0)
                os.write(buffer, 0, buffer.length);
        }
        is.close();
        os.close();
    }

}
