﻿INSERT INTO `publication_types` (`id`,`name`) VALUES 
 (1,'Book'),
 (2,'Journal Article'),
 (3,'Conference Paper'),
 (4,'Edited Book'),
 (5,'Exhibition Piece'),
 (6,'Performance'),
 (7,'Internet Publication'),
 (8,'Software'),
 (9,'Composition'), 
 (10,'Design'),
 (11,'Artefact'), 
 (12,'Other Accessibile Output'),
 (13,'Chapter in Book'),
 (14,'Patent'),
 (15,'Research Report'),
 (16,'Confidential Report'),
 (17,'Devices and Products'),
 (18,'Digital or Visual Media'),
 (19,'Scholary Edition'),
 (20,'Research Dataset'); 
 

INSERT INTO `metadata_types` (`id`,`element`,`qualifier`,`comment`,`display_name`,`reg_ex`) VALUES 
 (100,'contributor',NULL,'An entity responsible for making contributions to the content of the resource','Contributor',''),
 (101,'coverage',NULL,'The extent or scope of the content of the resource.','Coverage',''),
 (102,'creator',NULL,'An entity primarily responsible for making the content of the resource.','Creator',''),
 (103,'date',NULL,'A date associated with an event in the life cycle of the resource.','Date',''),
 (104,'description',NULL,'An account of the content of the resource.','Description',''),
 (105,'format',NULL,'The physical or digital manifestation of the resource.','Format',''),
 (106,'identifier',NULL,'An unambiguous reference to the resource within a given context.','Identifier',''),
 (107,'language',NULL,'A language of the intellectual content of the resource.','Language',''),
 (108,'publisher',NULL,'An entity responsible for making the resource available','Publisher',''),
 (109,'relation',NULL,'A reference to a related resource.','Relation','');
INSERT INTO `metadata_types` (`id`,`element`,`qualifier`,`comment`,`display_name`,`reg_ex`) VALUES 
 (110,'rights','','Information about rights held in and over the resource.','Rights',''),
 (111,'source',NULL,'A reference to a resource from which the present resource is derived.','Source',''),
 (112,'subject',NULL,'The topic of the content of the resource.','Subject',''),
 (113,'type',NULL,'The nature or genre of the content of the resource.','Type',''),
 (114,'description','abstract','A summary of the content of the resource.','Abstract for Foreign Language',''),
 (115,'rights','accessrights','Information about who can access the resource or an indication of its security status.','Access Rights',''),
 (116,'accrualMethod',NULL,'The method by which items are added to a collection.','Accrual Method',''),
 (117,'accrualPeriodicity',NULL,'The frequency with which items are added to a collection.','Accrual Frequency',''),
 (118,'accrualPolicy',NULL,'The policy governing the addition of items to a collection.','Accrual Policy',''),
 (119,'title','alternative','Any form of the title used as a substitute or alternative to the formal title of the resource.','Alternative Title','');
INSERT INTO `metadata_types` (`id`,`element`,`qualifier`,`comment`,`display_name`,`reg_ex`) VALUES 
 (120,'audience',NULL,'A class of entity for whom the resource is intended or useful.','Intended Audience',''),
 (121,'date','available','Date (often a range) that the resource will become or did become available.','Date Available',''),
 (122,'bibliographicCitation',NULL,'A bibliographic reference for the resource.','Bibliographic Citation',''),
 (123,'relation','conformsTo','A reference to an established standard to which the resource conforms.','Conforms to Standard',''),
 (124,'date','created','Date of creation of the resource.','Date Created',''),
 (125,'dateAccepted',NULL,'Date of acceptance of the resource (e.g. of thesis by university department, of article by journal, etc.).','Date Accepted',''),
 (126,'dateCopyrighted',NULL,'Date of a statement of copyright.','Date Copyrighted',''),
 (127,'dateSubmitted',NULL,'Date of submission of the resource (e.g. thesis, articles, etc.).','Date Submitted',''),
 (128,'educationLevel',NULL,'A general statement describing the education or training context. Alternatively, a more specific statement of the location of the audience in terms of its progression through an education or training context.','Education Level','');
INSERT INTO `metadata_types` (`id`,`element`,`qualifier`,`comment`,`display_name`,`reg_ex`) VALUES 
 (129,'extent',NULL,'The size or duration of the resource.','Size or Duration',''),
 (130,'relation','hasFormat','The described resource pre-existed the referenced resource, which is essentially the same intellectual content presented in another format.','Old Format',''),
 (131,'relation','hasPart','The described resource includes the referenced resource either physically or logically.','Includes Part',''),
 (132,'relation','hasVersion','The described resource has a version, edition, or adaptation, namely, the referenced resource.','Version',''),
 (133,'instructionalMethod',NULL,'A process, used to engender knowledge, attitudes and skills, that the resource is designed to support.','Supports',''),
 (134,'relation','isformatOf','The described resource is the same intellectual content of the referenced resource, but presented in another format.','Format Of',''),
 (135,'relation','isPartOf','The described resource is a physical or logical part of the referenced resource.','Part Of',''),
 (136,'relation','isReferencedBy','The described resource is referenced, cited, or otherwise pointed to by the referenced resource.','Referenced By','');
INSERT INTO `metadata_types` (`id`,`element`,`qualifier`,`comment`,`display_name`,`reg_ex`) VALUES 
 (137,'relation','isReplacedBy','The described resource is supplanted, displaced, or superseded by the referenced resource.','Replaced By',''),
 (138,'relation','isRequiredBy','The described resource is required by the referenced resource, either physically or logically.','Required By',''),
 (139,'date','issued','Date of formal issuance of the resource.','Date Issued',''),
 (140,'relation','isVersioned','The described resource is a version, edition, or adaptation of the referenced resource. Changes in version imply substantive changes in content rather than differences in format.','Is Version',''),
 (141,'license',NULL,'A legal document giving official permission to do something with the resource.','Legal Licence',''),
 (142,'audience','mediator','A class of entity that mediates access to the resource and for whom the resource is intended or useful.','Audience Mediator',''),
 (143,'format','medium','The material or physical carrier of the resource.','Physical Foramt',''),
 (144,'date','modified','Date on which the resource was changed.','Date Modified','');
INSERT INTO `metadata_types` (`id`,`element`,`qualifier`,`comment`,`display_name`,`reg_ex`) VALUES 
 (145,'provenance',NULL,'A statement of any changes in ownership and custody of the resource since its creation that are significant for its authenticity, integrity and interpretation.','Provenance',''),
 (146,'relation','references','The described resource references, cites, or otherwise points to the referenced resource.','References',''),
 (147,'relation','replaces','The described resource supplants, displaces, or supersedes the referenced resource.','Replaces',''),
 (148,'relation','requires','The described resource requires the referenced resource to support its function, delivery, or coherence of content.','Requires',''),
 (149,'rightsHolder',NULL,'A person or organization owning or managing rights over the resource.','Rights Holder',''),
 (150,'coverage','spatial','Spatial characteristics of the intellectual content of the resource.','Spatial Coverage',''),
 (151,'description','tableOfContents','A list of subunits of the content of the resource.','Table of Contents',''),
 (152,'coverage','temporal','Temporal characteristics of the intellectual content of the resource.','Temporal Coverage','');
INSERT INTO `metadata_types` (`id`,`element`,`qualifier`,`comment`,`display_name`,`reg_ex`) VALUES 
 (153,'date','valid','Date often a range of validity of a resource.','Date Validated',''),
 (154,'title',NULL,'Title of submission','Title',''),
 (157,'physicalform',NULL,'The physical form of the item','Physical Form',''),
 (158,'location',NULL,'Location of the physical item','Location',''),
 (159,'referenceCode',NULL,'Code assigned by the HEI, unique to this RAE submission','Reference Code',''),
 (161,'yearOfOutput',NULL,'format depends on the type of output yyyy for books or mm:yyyy or dd:mm:yyyy','Year of Output',''),
 (162,'typeOfOutput',NULL,'book, software, performance, journal article, conference paper etc','Type of Output',''),
 (163,'contributor','author','Authors, order of authors is very important, as is maintaining the order, 3 max','Author',''),
 (165,'contributor','noAdditionalAuthors','Number of additional authors after 3 co-authors','No. of additional authors','\\d+'),
 (166,'description','noOfPages','Number of pages','No. of Pages','\\d+'),
 (168,'date','yearPublished','','Year Published','');
INSERT INTO `metadata_types` (`id`,`element`,`qualifier`,`comment`,`display_name`,`reg_ex`) VALUES 
 (169,'identifier','isbn','Required for books and book chapters','ISBN','\\d\\d\\d\\d\\d\\d\\d\\d\\d[0-9Xx]'),
 (170,'description','titleOfChapter','required for book chapters','Title of Chapter',''),
 (171,'description','titleOfBook','required for book chapters','Title of Book',''),
 (172,'contributor','editors','required for book chapters','Editor',''),
 (173,'description','titleOfJournal','required for journal articles','Title of Journal',''),
 (174,'description','titleOfArticle','required for journal articles','Title of Article',''),
 (175,'description','volumeNo','required for journal articles','Volume No. and Issue',''),
 (176,'identifier','issn','required for journal articles','ISSN','\\d\\d\\d\\d\\d\\d\\d\\d\\d'),
 (177,'format','outputMedium','required for conference papers along with the date if not published','Output Medium',''),
 (178,'description','gallery','required for public exhibitions','Gallery',''),
 (179,'description','noOfPieces','required for public exhibitions','No. of Pieces','\\d+'),
 (180,'description','openingDate','required for public exhibitions and performances','Opening Date','');
INSERT INTO `metadata_types` (`id`,`element`,`qualifier`,`comment`,`display_name`,`reg_ex`) VALUES 
 (181,'description','closingDate','required for public exhibitions and performances','Closing Date',''),
 (182,'location',NULL,'required for performances','Location',''),
 (183,'interdisciplinary',NULL,'whether the output is interdisciplinary as effects the panels','Interdisplinary',''),
 (188,'dateVariances',NULL,'Where the date published varies from the date indicated on the publication','Date Variances',''),
 (192,'contributor','advisor','Thesis Advisor','Thesis Advisor',''),
 (194,'contributor','sponsor','Thesis Sponsor','Thesis Sponsor',''),
 (195,'date','verified','Thesis date of verification','Thesis Validation Date',''),
 (197,'identifier','uri','uri','URI',''),
 (199,'subject','other','other subject','Other Subjects',''),
 (200,'format','mimetype','mimetype','Mimetype',''),
 (201,'date','accessioned','date of accession','Date Accessioned',''),
 (202,'description','provenance','description provenance','Description Provenance',''),
 (203,'language','iso','language','Language ISO','');
INSERT INTO `metadata_types` (`id`,`element`,`qualifier`,`comment`,`display_name`,`reg_ex`) VALUES 
 (204,'format','extent','','Extent',''),
 (208,'description','pageNumbers','','Page Numbers',''),
 (210,'subject','ddc','dewey classification','Dewey',''),
 (211,'subject','lcc','library of congress classification','LCC',''),
 (212,'subject','lcsh','library of congress subject heading','LCSH',''),
 (213,'subject','classification','local classification','Local Classification',''),
 (214,'description','uri','uri','URI Description',''),
 (215,'identifier','govdoc','government document','Government Document',''),
 (216,'identifier','other','local identifier','Local Identifier',''),
 (217,'description','issue',NULL,'Issue',''),
 (219,'description','publicationStatus',NULL,'Status',''),
 (220,'description','conference', 'Conference', 'Conference', '');

INSERT INTO `metadata_publication_types` (`type_id`,`publication_type_id`,`mandatory`) VALUES 
 (106,1,0),
 (108,1,1),
 (112,1,0),
 (114,1,0),
 (115,1,0),
 (154,1,1),
 (161,1,0),
 (163,1,1),
 (164,1,1),
 (165,1,0),
 (166,1,1),
 (168,1,1),
 (106,2,0),
 (108,2,1),
 (112,2,0),
 (114,2,0),
 (115,2,0),
 (154,2,1),
 (161,2,0),
 (163,2,1),
 (164,2,1),
 (165,2,0),
 (166,2,1),
 (168,2,1),
 (106,3,0),
 (108,3,0),
 (112,3,0),
 (114,3,0),
 (115,3,0),
 (154,3,1),
 (161,3,0),
 (163,3,1),
 (164,3,1),
 (165,3,0),
 (166,3,1),
 (168,3,1),
 (186,3,0),
 (197,3,0),
 (198,3,0),
 (203,3,1),
 (207,3,0),
 (214,3,0),
 (220,3,1),
 (186,1,0),
 (197,1,0),
 (198,1,0),
 (203,1,1),
 (207,1,0);
INSERT INTO `metadata_publication_types` (`type_id`,`publication_type_id`,`mandatory`) VALUES 
 (214,1,0),
 (186,2,0),
 (197,2,0),
 (198,2,0),
 (203,2,1),
 (207,2,0),
 (214,2,0),
 (106,4,0),
 (108,4,1),
 (112,4,0),
 (114,4,0),
 (115,4,0),
 (154,4,1),
 (161,4,0),
 (163,4,1),
 (164,4,1),
 (165,4,0),
 (166,4,1),
 (168,4,1),
 (186,4,0),
 (197,4,0),
 (198,4,0),
 (203,4,1),
 (207,4,0),
 (214,4,0),
 (106,5,0),
 (108,5,0),
 (112,5,0),
 (114,5,0),
 (115,5,0),
 (154,5,1),
 (161,5,0),
 (163,5,1),
 (164,5,1),
 (165,5,0),
 (166,5,1),
 (168,5,1),
 (186,5,0),
 (197,5,0),
 (198,5,0),
 (203,5,1),
 (207,5,0),
 (214,5,0),
 (106,6,0),
 (108,6,0),
 (112,6,0),
 (114,6,0),
 (115,6,0);
INSERT INTO `metadata_publication_types` (`type_id`,`publication_type_id`,`mandatory`) VALUES 
 (154,6,1),
 (161,6,0),
 (163,6,1),
 (164,6,1),
 (165,6,0),
 (166,6,1),
 (168,6,1),
 (186,6,0),
 (197,6,0),
 (198,6,0),
 (203,6,1),
 (207,6,0),
 (214,6,0),
 (106,7,0),
 (108,7,0),
 (112,7,0),
 (114,7,0),
 (115,7,0),
 (154,7,1),
 (161,7,0),
 (163,7,1),
 (164,7,1),
 (165,7,0),
 (166,7,1),
 (168,7,1),
 (186,7,0),
 (197,7,0),
 (198,7,0),
 (203,7,1),
 (207,7,0),
 (214,7,0),
 (106,8,0),
 (108,8,0),
 (112,8,0),
 (114,8,0),
 (115,8,0),
 (154,8,1),
 (161,8,0),
 (163,8,1),
 (164,8,1),
 (165,8,0),
 (168,8,1),
 (186,8,0),
 (197,8,0),
 (198,8,0);
INSERT INTO `metadata_publication_types` (`type_id`,`publication_type_id`,`mandatory`) VALUES 
 (203,8,1),
 (207,8,0),
 (214,8,0),
 (166,8,1),
 (106,9,0),
 (108,9,0),
 (112,9,0),
 (114,9,0),
 (115,9,0),
 (154,9,1),
 (161,9,0),
 (163,9,1),
 (164,9,1),
 (165,9,0),
 (166,9,1),
 (168,9,1),
 (186,9,0),
 (197,9,0),
 (198,9,0),
 (203,9,1),
 (207,9,0),
 (214,9,0),
 (106,10,0),
 (108,10,0),
 (112,10,0),
 (114,10,0),
 (115,10,0),
 (154,10,1),
 (161,10,0),
 (163,10,1),
 (164,10,1),
 (165,10,0),
 (166,10,1),
 (168,10,1),
 (186,10,0),
 (197,10,0),
 (198,10,0),
 (203,10,1),
 (207,10,0),
 (214,10,0),
 (106,11,0),
 (108,11,0),
 (112,11,0),
 (114,11,0);
INSERT INTO `metadata_publication_types` (`type_id`,`publication_type_id`,`mandatory`) VALUES 
 (115,11,0),
 (154,11,1),
 (161,11,0),
 (163,11,1),
 (164,11,1),
 (165,11,0),
 (166,11,1),
 (168,11,1),
 (186,11,0),
 (197,11,0),
 (198,11,0),
 (203,11,1),
 (207,11,0),
 (214,11,0),
 (106,12,0),
 (108,12,0),
 (112,12,0),
 (114,12,0),
 (115,12,0),
 (154,12,1),
 (161,12,0),
 (163,12,1),
 (164,12,1),
 (165,12,0),
 (166,12,1),
 (168,12,1),
 (186,12,0),
 (197,12,0),
 (198,12,0),
 (203,12,1),
 (207,12,0),
 (214,12,0),
 (169,1,1),
 (169,3,1),
 (169,4,1),
 (171,1,1),
 (171,3,1),
 (172,4,1),
 (173,2,1),
 (174,2,1),
 (175,2,1),
 (176,2,1),
 (208,1,1),
 (208,2,1),
 (208,3,1),
 (208,4,1),
 (106,13,0),
 (108,13,1),
 (112,13,0),
 (114,13,0),
 (115,13,0),
 (154,13,1),
 (161,13,0),
 (163,13,1),
 (164,13,1),
 (165,13,0),
 (166,13,0),
 (168,13,1),
 (172,13,1),
 (186,13,0),
 (197,13,0),
 (198,13,0),
 (203,13,0),
 (207,13,0),
 (214,13,0),
 (169,13,1),
 (171,13,1),
 (208,13,1),
 (106,14,0),
 (108,14,0),
 (112,14,0),
 (114,14,0),
 (115,14,0),
 (154,14,1),
 (161,14,0),
 (163,14,1),
 (164,14,1),
 (165,14,0),
 (166,14,0),
 (168,14,1),
 (186,14,0),
 (197,14,0),
 (198,14,0),
 (203,14,0),
 (207,14,0),
 (214,14,0),
 (105,15,0),
 (106,15,0),
 (108,15,0),
 (112,15,0),
 (114,15,0),
 (115,15,0),
 (154,15,1),
 (161,15,0),
 (163,15,1),
 (164,15,1),
 (165,15,0),
 (166,15,0),
 (168,15,1),
 (186,15,0),
 (197,15,0),
 (198,15,0),
 (203,15,0),
 (207,15,0),
 (214,15,0),
 (106,16,0),
 (107,16,0),
 (108,16,0),
 (112,16,0),
 (114,16,0),
 (115,16,0),
 (154,16,1),
 (161,16,0),
 (163,16,1),
 (164,16,1),
 (165,16,0),
 (166,16,0),
 (168,16,1),
 (186,16,0),
 (197,16,0),
 (198,16,0),
 (203,16,0),
 (207,16,0),
 (214,16,0),
 (106,17,0),
 (107,17,0),
 (108,17,0),
 (112,17,0),
 (114,17,0),
 (115,17,0),
 (154,17,1),
 (161,17,0),
 (163,17,1),
 (164,17,1),
 (165,17,0),
 (166,17,0),
 (168,17,1),
 (186,17,0),
 (197,17,0),
 (198,17,0),
 (203,17,0),
 (207,17,0),
 (214,17,0),
 (106,18,0),
 (108,18,0),
 (112,18,0),
 (114,18,0),
 (115,18,0),
 (154,18,1),
 (161,18,0),
 (163,18,1),
 (164,18,1),
 (165,18,0),
 (166,18,0),
 (168,18,1),
 (186,18,0),
 (197,18,0),
 (198,18,0),
 (203,18,0),
 (207,18,0),
 (214,18,0),
 (106,19,0),
 (108,19,0),
 (112,19,0),
 (114,19,0),
 (115,19,0),
 (154,19,1),
 (161,19,0),
 (163,19,1),
 (164,19,1),
 (165,19,0),
 (166,19,0),
 (168,19,1),
 (186,19,0),
 (197,19,0),
 (198,19,0),
 (203,19,0),
 (207,19,0),
 (214,19,0),
 (106,20,0),
 (108,20,0),
 (112,20,0),
 (114,20,0),
 (115,20,0),
 (154,20,1),
 (161,20,0),
 (163,20,1),
 (164,20,1),
 (165,20,0),
 (166,20,0),
 (168,20,1),
 (186,20,0),
 (197,20,0),
 (198,20,0),
 (203,20,0),
 (207,20,0),
 (214,20,0);


INSERT INTO `unit_of_assessment` (`id`,`description`) VALUES 
 (1,'Accounting and Finance'),
 (2,'Agriculture, Veterinary and Food Science'),
 (3,'Allied Health Professions and Studies'),
 (4,'American Studies and Anglophone Area Studies'),
 (5,'Anthropology'),
 (6,'Applied Mathematics'),
 (7,'Archaeology'),
 (8,'Architecture and the Built Environment'),
 (9,'Art and Design'),
 (10,'Asian Studies'),
 (11,'Biological Sciences'),
 (12,'Business and Management Studies'),
 (13,'Cancer Studies'),
 (14,'Cardiovascular Medicine'),
 (15,'Celtic Studies'),
 (16,'Chemical Engineering'),
 (17,'Chemistry'),
 (18,'Civil Engineering'),
 (19,'Classics, Ancient History, Byzantine and Modern Greek Studies'),
 (20,'Communication, Cultural and Media Studies'),
 (21,'Computer Science and Informatics'),
 (22,'Dentistry'),
 (23,'Development Studies'),
 (24,'Drama, Dance and Performing Arts'),
 (25,'Earth Systems and Environmental Sciences'),
 (26,'Economics and Econometrics'),
 (27,'Education'),
 (28,'Electrical and Electronic Engineering'),
 (29,'English Language and Literature');
INSERT INTO `unit_of_assessment` (`id`,`description`) VALUES 
 (30,'Epidemiology and Public Health'),
 (31,'European Studies'),
 (32,'French'),
 (33,'General Engineering and Mineral &#38; Mining Engineering'),
 (34,'Geography and Environmental Studies'),
 (35,'German, Dutch and Scandinavian Languages'),
 (36,'Health Services Research'),
 (37,'History'),
 (38,'History of Art, Architecture and Design'),
 (39,'Iberian and Latin American Languages'),
 (40,'Infection and Immunology'),
 (41,'Italian'),
 (42,'Law'),
 (43,'Library and Information Management'),
 (44,'Linguistics'),
 (45,'Mechanical, Aeronautical and Manufacturing Engineering'),
 (46,'Metallurgy and Materials'),
 (47,'Middle Eastern and African Studies'),
 (48,'Music'),
 (49,'Non-assigned staff'),
 (50,'Nursing and Midwifery'),
 (51,'Other Hospital Based Clinical Subjects'),
 (52,'Other Laboratory Based Clinical Subjects'),
 (53,'Pharmacy'),
 (54,'Philosophy'),
 (55,'Physics'),
 (56,'Politics and International Studies'),
 (57,'Pre-clinical and Human Biological Sciences'),
 (58,'Primary Care and Other Community Based Clinical Subjects');
INSERT INTO `unit_of_assessment` (`id`,`description`) VALUES 
 (59,'Psychiatry, Neuroscience and Clinical Psychology'),
 (60,'Psychology'),
 (61,'Pure Mathematics'),
 (62,'Russian, Slavonic and East European Languages'),
 (63,'Social Work and Social Policy &#38; Administration'),
 (64,'Sociology'),
 (65,'Sports-Related Studies'),
 (66,'Statistics and Operational Research'),
 (67,'Theology, Divinity and Religious Studies'),
 (68,'Town and Country Planning');

INSERT INTO `unit_of_assessment_size` (`uoa_name`,`size`) VALUES 
 ('Accounting and Finance',50),
 ('Agriculture, Veterinary and Food Science',50),
 ('Allied Health Professions and Studies',50),
 ('American Studies and Anglophone Area Studies',300),
 ('Anthropology',100),
 ('Applied Mathematics',300),
 ('Archaeology',50),
 ('Architecture and the Built Environment',300),
 ('Art and Design',300),
 ('Asian Studies',300),
 ('Biological Sciences',50),
 ('Business and Management Studies',50),
 ('Cancer Studies',50),
 ('Cardiovascular Medicine',50),
 ('Celtic Studies',300),
 ('Chemical Engineering',100),
 ('Chemistry',50),
 ('Civil Engineering',100),
 ('Classics, Ancient History, Byzantine and Modern Greek Studies',300),
 ('Communication, Cultural and Media Studies',300),
 ('Computer Science and Informatics',300),
 ('Dentistry',50),
 ('Development Studies',200),
 ('Drama, Dance and Performing Arts',300),
 ('Earth Systems and Environmental Sciences',50),
 ('Economics and Econometrics',50),
 ('Education',150),
 ('Electrical and Electronic Engineering',100);
INSERT INTO `unit_of_assessment_size` (`uoa_name`,`size`) VALUES 
 ('English Language and Literature',200),
 ('Epidemiology and Public Health',50),
 ('European Studies',300),
 ('French',300),
 ('General Engineering and Mineral &#38; Mining Engineering',100),
 ('Geography and Environmental Studies',50),
 ('German, Dutch and Scandinavian Languages',300),
 ('Health Services Research',50),
 ('History',300),
 ('History of Art, Architecture and Design',300),
 ('Iberian and Latin American Languages',300),
 ('Infection and Immunology',50),
 ('Italian',300),
 ('Law',50),
 ('Library and Information Management',50),
 ('Linguistics',300),
 ('Mechanical, Aeronautical and Manufacturing Engineering',100),
 ('Metallurgy and Materials',100),
 ('Middle Eastern and African Studies',300),
 ('Music',300),
 ('Non-assigned staff',50),
 ('Nursing and Midwifery',50),
 ('Other Hospital Based Clinical Subjects',50),
 ('Other Laboratory Based Clinical Subjects',50),
 ('Pharmacy',50),
 ('Philosophy',300),
 ('Physics',50),
 ('Politics and International Studies',100);
INSERT INTO `unit_of_assessment_size` (`uoa_name`,`size`) VALUES 
 ('Pre-clinical and Human Biological Sciences',50),
 ('Primary Care and Other Community Based Clinical Subjects',50),
 ('Psychiatry, Neuroscience and Clinical Psychology',50),
 ('Psychology',100),
 ('Pure Mathematics',300),
 ('Russian, Slavonic and East European Languages',300),
 ('Social Work and Social Policy &#38; Administration',100),
 ('Sociology',100),
 ('Sports-Related Studies',100),
 ('Statistics and Operational Research',300),
 ('Theology, Divinity and Religious Studies',300),
 ('Town and Country Planning',50);


INSERT INTO `roles` (`role`) VALUES 
 ('admin'),
 ('power'),
 ('readonly');

INSERT INTO `users` (`id`,`username`,`department_id`,`power_user`,`admin_user`,`created`,`last_modified`,`last_update_by`,`unit_code`,`staff_no`,`initials`,`surname`,`uoa_id`,`password`) VALUES 
 (1,'administrator',null,1,1,'2005-09-09','2006-01-27','Administrator [a]',NULL,99999,'No','Name',NULL,'5baa61e4c9b93f3f0682250b6cf8331b7ee68fd8');

INSERT INTO `user_roles` (`role`,`username`,`user_id`) VALUES 
 ('admin','administrator',1),
 ('power','administrator',1);